## org.apache.mahout.math.matrix.linalg
Class LUDecomposition

    java.lang.Object
      org.apache.mahout.math.matrix.linalg.LUDecomposition

All Implemented Interfaces:
  java.io.Serializable

Deprecated. until unit tests are in place. Until this time, this class/interface is unsupported.

    @Deprecated
    public class LUDecomposition

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`LUDecomposition(DoubleMatrix2D a)` Deprecated. Constructs and returns a new LU Decomposition object; The decomposed matrices can be retrieved via instance methods of the returned decomposition object.

Method Summary
`double` `det()` Deprecated. Returns the determinant, `det(A)`.
`DoubleMatrix2D` `getL()` Deprecated. Returns the lower triangular factor, `L`.
`int[]` `getPivot()` Deprecated. Returns a copy of the pivot permutation vector.
`DoubleMatrix2D` `getU()` Deprecated. Returns the upper triangular factor, `U`.
`boolean` `isNonsingular()` Deprecated. Returns whether the matrix is nonsingular (has an inverse).
`DoubleMatrix2D` `solve(DoubleMatrix2D b)` Deprecated. Solves `A*X = B`.
`java.lang.String` `toString()` Deprecated. Returns a String with (propertyName, propertyValue) pairs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LUDecomposition

    public LUDecomposition(DoubleMatrix2D a)

  Deprecated.
  Constructs and returns a new LU Decomposition object; The decomposed matrices can be retrieved via instance methods of the returned decomposition object.

  Parameters:
    `a` - Rectangular matrix

Method Detail

### det

    public double det()

  Deprecated.
  Returns the determinant, `det(A)`.

  Throws:
    `java.lang.IllegalArgumentException` - Matrix must be square

### getL

    public DoubleMatrix2D getL()

  Deprecated.
  Returns the lower triangular factor, `L`.

  Returns:
    `L`

### getPivot

    public int[] getPivot()

  Deprecated.
  Returns a copy of the pivot permutation vector.

  Returns:
    piv

### getU

    public DoubleMatrix2D getU()

  Deprecated.
  Returns the upper triangular factor, `U`.

  Returns:
    `U`

### isNonsingular

    public boolean isNonsingular()

  Deprecated.
  Returns whether the matrix is nonsingular (has an inverse).

  Returns:
    true if `U`, and hence `A`, is nonsingular; false otherwise.

### solve

    public DoubleMatrix2D solve(DoubleMatrix2D b)

  Deprecated.
  Solves `A*X = B`.

  Parameters:
    `b` - A matrix with as many rows as `A` and any number of columns.
  Returns:
    `X` so that `L*U*X = B(piv,:)`.
  Throws:
    `java.lang.IllegalArgumentException` - if B.rows() != A.rows().
    `java.lang.IllegalArgumentException` - if A is singular, that is, if `!this.isNonsingular()`.
    `java.lang.IllegalArgumentException` - if `A.rows() < A.columns()`.

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a String with (propertyName, propertyValue) pairs. Useful for debugging or to quickly get the rough picture. For example,

       rank          : 3
       trace         : 0

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.